EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RpmPackages_DeletePackage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a package in an RPM feed.'
GO

IF OBJECT_ID('[RpmPackages_DeletePackage]') IS NOT NULL DROP PROCEDURE [RpmPackages_DeletePackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RpmPackages_DeletePackage]
(
	@RpmPackageVersion_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [RpmPackageVersions]
	 WHERE [RpmPackageVersion_Id] = @RpmPackageVersion_Id

END
GO

GRANT EXECUTE ON [RpmPackages_DeletePackage] TO [ProGetUser_Role]
GO