IF OBJECT_ID('[ExternalUserGroups_Extended]') IS NOT NULL
	DROP VIEW [ExternalUserGroups_Extended]
GO

CREATE VIEW [ExternalUserGroups_Extended]
AS

	SELECT 
		UG.[UserDirectory_Id],
		U.[ExternalUser_Name],
		U.[ExternalUser_Display_Name],
		U.[ExternalUser_Email_Address],
		G.[ExternalGroup_Name],
		G.[ExternalGroup_Display_Name]
		 
		FROM [ExternalUserGroups] UG
		
		INNER JOIN [ExternalUsers] U 
			ON  U.[UserDirectory_Id] = UG.[UserDirectory_Id]
			AND U.[ExternalUser_Name] = UG.[ExternalUser_Name]
		INNER JOIN [ExternalGroups] G
			ON  G.[UserDirectory_Id] = UG.[UserDirectory_Id]
			AND G.[ExternalGroup_Name] = UG.[ExternalGroup_Name]

GO
